Bug 803533 - guestfish: write error
guestfish: write error
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 19:05 EDT by Richard W.M. Jones
Modified: 2012-05-03 11:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-03 11:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-03-14 19:05:21 EDT
Description of problem:

$ guestfish --ro -a /dev/vg_pin/F15x32 

Welcome to guestfish, the libguestfs filesystem interactive shell for
editing virtual machine filesystems.

Type: 'help' for help on commands
      'man' to read the manual
      'quit' to quit the shell

><fs> run
 100% ⟦▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓▓⟧ --:--
><fs> inspect-os 
/dev/vg_f15x32/lv_root
><fs> mount-ro /dev/vg_f15x32/lv_root /
><fs> mount-ro /dev/vda1 /boot
><fs> inspect-list-applications /dev/vg_f15x32/lv_root | head -28
[0] = {
  app_name: ConsoleKit
  app_display_name: 
  app_epoch: 0
  app_version: 0.4.5
  app_release: 1.fc15
  app_install_path: 
  app_trans_path: 
  app_publisher: 
  app_url: 
  app_source_package: 
  app_summary: 
  app_description: 
}
[1] = {
  app_name: ConsoleKit-libs
  app_display_name: 
  app_epoch: 0
  app_version: 0.4.5
  app_release: 1.fc15
  app_install_path: 
  app_trans_path: 
  app_publisher: 
  app_url: 
  app_source_package: 
  app_summary: 
  app_description: 
}
><fs> ^D
guestfish: write error

Version-Release number of selected component (if applicable):

1.17.16

How reproducible:

100%
Comment 1 Richard W.M. Jones 2012-05-02 09:03:45 EDT
Patch posted:
https://www.redhat.com/archives/libguestfs/2012-May/msg00003.html
Comment 2 Richard W.M. Jones 2012-05-03 11:48:32 EDT
Fixed in 1.17.39.

Note You need to log in before you can comment on or make changes to this bug.